//
//  FMDBDataAccess.h
//  BMXMDB
//
//  Created by Nick Hayday on 21/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FMDatabase.h" 
#import "FMResultSet.h" 
#import "Utility.h" 
#import "Film.h" 
#import "People.h"
#import "Company.h"
#import "FilmSections.h"
#import "FilmCompanies.h"
#import "Song.h"

@interface FMDBDataAccess : NSObject
{
    
}

- (NSMutableArray *) getFilms;
- (NSMutableArray *) getSectionedFilms;
- (NSMutableArray *) getFilms:(NSString *)queryString;
- (NSMutableArray *) getNumberedFilms;

- (NSMutableArray *) getPeople;
- (NSMutableArray *) getSectionedPeople;
- (NSMutableArray *) getPeople:(NSString *)queryString;

- (NSMutableArray *) getPersonsFilms:(NSInteger)personID;

- (NSMutableArray *) getCompanies;
- (NSMutableArray *) getSectionedCompanies;
- (NSMutableArray *) getCompanies:(NSString *)queryString;
- (NSMutableArray *) getNumberedCompanies;

- (NSMutableArray *) getCompaniesFilms:(NSInteger)companyID;

- (NSMutableArray *) getFilmsCompanies:(NSInteger)filmID;
- (NSMutableArray *) getFilmsSections:(NSInteger)filmID;

- (NSMutableArray *) getSectionsRiders:(NSInteger)sectionID;
- (NSMutableArray *) getSectionsSongs:(NSInteger)sectionID;

- (FilmSections *) getFilmSection:(NSInteger)sectionID;

- (NSMutableArray *) getFavouriteFilms;

@end
