//
//  FilmSectionViewController.h
//  BMXMDB
//
//  Created by Nick Hayday on 23/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FilmSections.h"
#import "FMDBDataAccess.h"
#import "PeopleDetailController.h"
#import "Song.h"

@interface FilmSectionViewController : UIViewController <UIWebViewDelegate,UITableViewDataSource, UITableViewDelegate>
{
    IBOutlet UIView *activityView;
    IBOutlet UIWebView *myWebView;
    FilmSections *section;
    NSInteger counter;
    UITableView *ridersView;
    UITableView *songsView;
    UIActivityIndicatorView *spinner;
}

@property (nonatomic, strong) IBOutlet UIWebView *myWebView;
@property (nonatomic, strong) IBOutlet UIActivityIndicatorView *spinner;

@property (nonatomic, strong) IBOutlet UIView *activityView;
@property (nonatomic, strong) FilmSections *section;
@property (nonatomic, strong) IBOutlet UILabel *rowNum;
@property (nonatomic, readwrite) NSInteger counter;
@property (nonatomic, strong) IBOutlet UITableView *ridersView;
@property (nonatomic, strong) IBOutlet UITableView *songsView;
@property (nonatomic, strong) IBOutlet UIScrollView *scrollView;

@property (nonatomic,strong) NSMutableArray *sectionsRiders;
@property (nonatomic,strong) NSMutableArray *sectionsSongs;

@end
