//
//  Film.m
//  BMXMDB
//
//  Created by Nick Hayday on 21/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "Film.h"

@implementation Film
@synthesize filmID, filmName, year, format_blu, format_dvd, format_web, format_vhs, country, runtime, notes, companies;

- (NSString *)getYear {
    
    if (self.year == 0) {
        
        return nil;
    }
    else {
    
        return [NSString stringWithFormat:@"Year: %d", self.year];
        
    }
}

- (NSString *)getFormat {
    
    NSMutableString *formats = [NSMutableString stringWithFormat:@""];
    
    if (self.format_vhs != 0){
        [formats appendString:@"VHS "];
    }
    if (self.format_dvd != 0){
        [formats appendString:@"DVD "];
    }
    if (self.format_web != 0){
        [formats appendString:@"Web "];
    }
    if (self.format_blu != 0){
        [formats appendString:@"Blu-Ray "];
    }

    return [NSString stringWithFormat:@"Formats: %@", formats];
}

- (NSString *)getCountry {
    
    if ([self.country isEqualToString:@""]) {
        
        return nil;
    }
    else {
        
        return [NSString stringWithFormat:@"Country: %@",self.country];
        
    }
}

- (NSString *)getRuntime {
    
    if ([self.runtime isEqualToString:@""]) {
        
        return nil;
    }
    else {
        return [NSString stringWithFormat:@"Runtime: %@",self.runtime];
    }
}

@end
