//
//  FilmsDetailController.h
//  BMXMDB
//
//  Created by Nick Hayday on 22/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FilmCompanies.h"
#import "FilmSections.h"
#import "Film.h"
#import "FMDBDataAccess.h"
#import "CompaniesDetailController.h"
#import "FilmSectionViewController.h"

@interface FilmsDetailController : UIViewController <UITableViewDataSource, UITableViewDelegate>
{
    Film *film;
    UITableView *companyView;
    UITableView *sectionView;
}

@property (nonatomic, strong) IBOutlet UILabel *filmLabel;
@property (nonatomic, strong) IBOutlet UILabel *filmYear;
@property (nonatomic, strong) IBOutlet UILabel *filmFormats;
@property (nonatomic, strong) IBOutlet UILabel *filmCountry;
@property (nonatomic, strong) IBOutlet UILabel *filmRuntime;
@property (nonatomic, strong) IBOutlet UITableView *companyView;
@property (nonatomic, strong) IBOutlet UITableView *sectionView;
@property (nonatomic, strong) IBOutlet UIScrollView *scrollView;
@property (nonatomic, strong) Film *film;

@property (nonatomic,strong) NSMutableArray *companiesFilms;
@property (nonatomic,strong) NSMutableArray *filmsSections;

@end
