//
//  HomeDetailViewController.m
//  BMXMDB
//
//  Created by Nick Hayday on 27/03/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "HomeDetailViewController.h"


@implementation HomeDetailViewController

@synthesize myLabel, myWebView, myTextView, section, scrollView, item, counter;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    counter = 0;
    [myWebView setDelegate:self];
    
    self.myLabel.text = item.title;
    self.myTextView.text = [item.post stripHtml];
    
    NSString *baseURL = @"http://bmxmdb.com/app/";
    baseURL = [baseURL stringByAppendingString:[NSString stringWithFormat:@"%@",item.section_id]];
    NSString *vidSize = @"/270";
    NSString *urlAddress = [baseURL stringByAppendingString:vidSize];
    

    
    //Create a URL object.
    NSURL *url = [NSURL URLWithString:urlAddress];
    
    //URL Requst Object
    NSURLRequest *requestObj = [NSURLRequest requestWithURL:url];
    
    //Load the request in the UIWebView.
    [myWebView loadRequest:requestObj];
    
    
    myWebView.scrollView.bounces = NO;
    myTextView.editable = NO;
    
}

- (void)viewDidAppear:(BOOL)animated
{
    NSInteger originOffset;
    
    originOffset = myLabel.frame.size.height + 10.0;
    
//    CGRect labelFrame = myTextView.frame;
//    labelFrame.size.height = myTextView.frame.size.height;
//    labelFrame.origin = CGPointMake(18.0, originOffset);
//    myTextView.frame = labelFrame;
    
    
    originOffset = originOffset + myTextView.contentSize.height + 10.0;
    
//    CGRect labelFrame2 = myWebView.frame;
//    labelFrame2.size.height = myWebView.frame.size.height;
//    labelFrame2.origin = CGPointMake(18.0, originOffset);
//    myWebView.frame = labelFrame2;
    
    originOffset = originOffset + myWebView.frame.size.height + 10.0;
    
    CGRect labelFrame3 = myTextView.frame;
    labelFrame3.size.height = myTextView.contentSize.height;
//    labelFrame3.origin = CGPointMake(18.0, originOffset);
    myTextView.frame = labelFrame3;
    
    scrollView.contentSize = CGSizeMake(320.0, originOffset + 20.0);
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)webViewDidStartLoad:(UIWebView *)webView {
    self.counter++;
    [[UIApplication sharedApplication]
     setNetworkActivityIndicatorVisible:YES];
    
}



- (void)webViewDidFinishLoad:(UIWebView *)webView {
    self.counter--;
    
    if (self.counter == 0) //balances web requests, hide UIView loading sheet here
        [[UIApplication sharedApplication]
         setNetworkActivityIndicatorVisible:NO];
}


- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error {
    [[UIApplication sharedApplication]
     setNetworkActivityIndicatorVisible:NO];
}


@end
