//
//  HomeTableCellView.m
//  BMXMDB
//
//  Created by Nick Hayday on 24/03/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "HomeTableCellView.h"

@implementation HomeTableCellView

@synthesize cellCover;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
}

- (void)setTitleText:(NSString *)_text {
	cellTitle.text = _text;
}

- (void)setDetailText:(NSString *)_text {
	cellDetails.text = _text;
}


- (void)setCover:(NSString *)_filename {
    
    NSString *path = [[NSBundle mainBundle] pathForResource:_filename ofType:@"png" inDirectory:@"images/covers/thumbs"];
    
    UIImage *theImage;
    
    if([path length] >0)
    {
        theImage = [UIImage imageWithContentsOfFile:path];
    } else {
        path = [[NSBundle mainBundle] pathForResource:@"logo" ofType:@"png" inDirectory:@"images/covers/thumbs"];
        theImage = [UIImage imageWithContentsOfFile:path];
    }
    
    cellCover.image = theImage;
    
}






@end
