//
//  HomeViewController.h
//  BMXMDB
//
//  Created by Nick Hayday on 21/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "HomeTableCellView.h"
#import "HomeDetailViewController.h"
#import "FilmSections.h"
#import "FMDBDataAccess.h"
#import "PullToRefreshTableViewController.h"
#import "HomeFilmTableCellView.h"
#import "Item.h"
#import "NSString_stripHtml.h"
#import "ActivityOverlayViewController.h"

@interface HomeViewController : PullToRefreshTableViewController
{
    NSMutableArray *items;
    
    IBOutlet HomeTableCellView *tblCell;
    IBOutlet HomeFilmTableCellView *filmTblCell;
    ActivityOverlayViewController *overlayController;

    
    NSDate *lastReviewRefresh;
    

}

@property (nonatomic, strong) NSDate * lastReviewRefresh;
@property (nonatomic,strong) NSMutableArray *favourites;
@property (nonatomic,strong) NSMutableArray *items;


- (void)fetchEntries;
- (void)loadFavourites;
- (void)turnOffRefresh;
- (void)showActivityView;
- (void)hideActivityView ;

@end
