//
//  PeopleFilmTableCellView.m
//  BMXMDB
//
//  Created by Nick Hayday on 27/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "PeopleFilmTableCellView.h"

@implementation PeopleFilmTableCellView

@synthesize cellCover;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
}

- (void)setTitleText:(NSString *)_text {
	cellTitle.text = _text;
}

- (void)setYearText:(NSString *)_text {
	cellYear.text = _text;
}


- (void)setFormatText:(NSString *)_text {
	cellFormat.text = _text;
}

- (void)setCompanyText:(NSString *)_text {
    
    NSMutableString *temp = [[NSMutableString alloc] init];
    
    [temp appendString:@"Company: "];
    
    [temp appendString:_text];
    
    cellCompany.text = temp;
}

- (void)setCover:(NSString *)_filename {
    
    NSString *path = [[NSBundle mainBundle] pathForResource:_filename ofType:@"png" inDirectory:@"images/covers/thumbs"];
    
    UIImage *theImage;
    
    if([path length] >0)
    {
        theImage = [UIImage imageWithContentsOfFile:path];
    } else {
        path = [[NSBundle mainBundle] pathForResource:@"logo" ofType:@"png" inDirectory:@"images/covers/thumbs"];
        theImage = [UIImage imageWithContentsOfFile:path];
    }
    
    cellCover.image = theImage;
    
}






@end
